/** @file
 * @brief Handling of inputs.
 * - Reads digital inputs
 * - Calibrates ADC
 * - Reads ADC values
 * .
 */
/* $LastChangedRevision: 3 $
 * $LastChangedDate:: 2015-10-09 15:40:41#$
 *
 * Copyright (c) 2013, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 */
#ifndef __INPUTCONTROL_H__
	#define __INPUTCONTROL_H__


	/* public prototypes */
	void readADC(void);
	void calibrateADC(void);
	void readPWM(void);
	void initDigitalIn(void);
	void readDigitalIn(void);

#endif
