/** @file
 * @brief Handling of 3-phase motor driver MCP8025 from Microchip.
 * - setup and initialization of driver
 * - sending data
 * - receiving data
 * .
 */
/* $LastChangedRevision: 5 $
 * $LastChangedDate:: 2015-10-22 15:40:48#$
 *
 * Copyright (c) 2013, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 */
#ifndef __MCP8025_H__
	#define __MCP8025_H__


	/* public prototypes */
    void setupDriver();
    void writeDriverData(uint8);
    void readDriverData(uint8);
       
#endif
