/* This file is part of X2C. http://www.mechatronic-simulation.org/                                                   */

/* Model: foc_closed_loop_pos                                                                                         */
/* Date:  2016-01-22 14:21                                                                                            */

/**
 * @file
 * @brief List of X2C signals
 */
#ifndef __X2CSIGNALS_H__
#define __X2CSIGNALS_H__

#include "Target.h"

typedef struct x2csignal_t {
   const char* label;
   void* address;
   TypeClass type;
} X2cSignal;

extern const X2cSignal inportSignals[];
extern const uint16 noInportSignals;
extern const X2cSignal outportSignals[];
extern const uint16 noOutportSignals;
extern const X2cSignal internalSignals[];
extern const uint16 noInternalSignals;

#endif
