@echo off

set PROJECT_ROOT=C:\_scilab\X2C852\DemoApplication\foc_openloop_const
set MPLABX_ROOT=C:\Program Files (x86)\Microchip\MPLABX\v3.20
set DEVICE=P33EP256MC506
::set TOOL=PK3
set TOOL=RICE
::set TOOL=ICD3

set HEXFILE=\dist\Debug\production\foc_openloop_const.production.hex

:: log file to current users' desktop
::set BATCHLOG=%USERPROFILE%\Desktop\batchlog.txt
set BATCHLOG=%PROJECT_ROOT%\batchlog.txt
set MAKEFILE=%PROJECT_ROOT%\Makefile


:: make command
set MAKECMD="%MPLABX_ROOT%\gnuBins\GnuWin32\bin\make" -f %PROJECT_ROOT%\Makefile 

date /T > %BATCHLOG%
time /T >> %BATCHLOG%
echo Current directory: %cd% >> %BATCHLOG%
echo Makefile: %MAKEFILE% >> %BATCHLOG%
echo Hexfile: %HEXFILE% >> %BATCHLOG%



cd %PROJECT_ROOT%

ECHO DATE /T
ECHO TIME /T
ECHO *****************************************************
ECHO ** make the project                                **
ECHO *****************************************************
echo Execute make: >> %BATCHLOG%
echo %MAKECMD% >> %BATCHLOG%

%MAKECMD%

echo *****************************************************
echo ** program the device                              **
java -jar "%MPLABX_ROOT%\mplab_ipe\ipecmd.jar" /%DEVICE% /"F.%HEXFILE%" /TP%TOOL% /M /OL

::pause