/* $LastChangedRevision: 9 $
 * $LastChangedDate:: 2015-12-02 13:14:02#$
 *
 * Copyright (c) 2013, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
 * All rights reserved.
 */
#include "GlobalDefines.h"

/******************************************************************************/
/* Global Variables                                                           */
/******************************************************************************/
/* X2C maintenance structure */
volatile tTableStruct TheTableStruct;
volatile tTableStruct *TableStruct = &TheTableStruct;

/* State of frequency inverter */
tFI_STATES FIState = RESET_STATE;			

volatile int16 IrqSyncFlag = 0;				/* Flag used for periodic call of X2C_Update() */
uint16 CalibrationCounter = 0U;				/* Enable calibration */
uint16 ADCOffset[3] = {0, 0, 0};			/* Offset values of current measurement */
uint16 ADCValue[6] = {0,0,0,0,0,0};         /* ADC results */
uint16 CPU_Load = 0U;						/* CPU load */
uint16 CPU_Load2 = 0U;						/* CPU load for slow task */
uint16 CPU_Scale = 0U;						/* CPU load scale factor (equals 100%) */
volatile uint8 DriverState[5] = {0,0,0,0,0};/* Current status of motor driver */
