
//exec("./mtlbclr.sce");
xdel(winsid());

// Load simulation parameters
exec("./parameters.sce");

importXcosDiagram("foc_open_loop.zcos");

xcos_simulate(scs_m, 4);
xdel(winsid());

// Plots
scf(1);
subplot(221);
h1 = plot(motor_in.time, motor_in.values(:,1:3));
title("Vabc");
xgrid(1);

subplot(222);
h2 = plot(motor_out.time, motor_out.values(:,1:3));
title("Iabc");
xgrid(1);

subplot(223);
h3 = plot(motor_out.time, motor_out.values(:,4)*60/2/%pi);
title("omega");
xgrid(1);

subplot(224);
h4 = plot(motor_out.time, motor_out.values(:,5));
title("torque");
xgrid(1);
